Bug 50781

Summary: [Qt] enable orientation flag when QtMobility available
Product: WebKit Reporter: qi <qi.2.zhang>
Component: New BugsAssignee: qi <qi.2.zhang>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, cshu, kenneth, laszlo.gombos, ossy, suresh.voruganti
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
patch
none
Fix LayoutTests for the 2.1.x branch none

Description qi 2010-12-09 12:41:53 PST
When QtMobility is available, enable orientation by default.
Comment 1 qi 2010-12-09 12:53:24 PST
Created attachment 76114 [details]
patch

Enable orientation flag by default if QtMobility is available.
Comment 2 WebKit Commit Bot 2010-12-09 22:21:20 PST
The commit-queue encountered the following flaky tests while processing attachment 76114 [details]:

inspector/debugger-expand-scope.html

Please file bugs against the tests.  These tests were authored by yurys@chromium.org.  The commit-queue is continuing to process your patch.
Comment 3 WebKit Commit Bot 2010-12-09 22:22:00 PST
Comment on attachment 76114 [details]
patch

Clearing flags on attachment: 76114

Committed r73687: <http://trac.webkit.org/changeset/73687>
Comment 4 WebKit Commit Bot 2010-12-09 22:22:05 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Csaba Osztrogon√°c 2010-12-10 01:34:36 PST
(In reply to comment #3)
> Committed r73687: <http://trac.webkit.org/changeset/73687>

I have some problem with this patch:

(1) This kind of patches always break the incremental build, because adding or removing a define doesn't trigger rebuilding files. See the following bugs for details:
https://bugs.webkit.org/show_bug.cgi?id=42027 (comment25,26)
https://bugs.webkit.org/show_bug.cgi?id=38054#c25

Unfortunately there isn't a correct way to fix this bug. Plese ping me next time before landing a similar patch and I will force a clean rebuild on buildbots.

(2) Please run layout tests before landing a patch not to break any test.
Unfortunately I had to do it after landing: http://trac.webkit.org/changeset/73693.

(3) There was a similar previously r+ -ed, but not landed patch to fix layout tests and enable DeviceOrientation: https://bugs.webkit.org/show_bug.cgi?id=47490
Comment 6 qi 2010-12-10 05:51:34 PST
Thanks and sorry for the inconvenience.
Comment 7 Suresh Voruganti 2010-12-13 13:59:25 PST
Fix required for Qtwebkit 2.1/2.2. 

Developer has also attached the back ported version of the patch for Qtwebkit 2.1/2.2
Comment 8 Suresh Voruganti 2010-12-13 14:00:46 PST
Qi, do we need back ported  version of patch for integrating Qtwebkit 2.1/2.2 ?
Comment 9 qi 2010-12-14 05:48:59 PST
I already created in back ported version in bug 50685, I means I used one patch to cover 50685 and 50781.
Comment 10 Ademar Reis 2010-12-16 10:00:53 PST
(In reply to comment #9)
> I already created in back ported version in bug 50685, I means I used one patch to cover 50685 and 50781.

Please avoid doing that when backporting patches. We try to keep the same patches (same description, changelog and bug references) on the stabilization branches so that people (and tools) can easily find out what is part of a release.

That said, don't worry about this particular patch, I'll split it myself based on the patches from trunk (the conflicts are easy to solve).
Comment 11 qi 2010-12-17 06:08:16 PST
Sorry for inconvenience.
Comment 12 Ademar Reis 2010-12-20 13:07:09 PST
Revision r73687 cherry-picked into qtwebkit-2.2 with commit 3570f27 <http://gitorious.org/webkit/qtwebkit/commit/3570f27>
Comment 13 Ademar Reis 2010-12-20 13:10:56 PST
Revision r73693 cherry-picked into qtwebkit-2.2 with commit c08c19f <http://gitorious.org/webkit/qtwebkit/commit/c08c19f> (fix for tests, patch from Ossy, see c#5)
Comment 14 Laszlo Gombos 2011-05-08 22:43:19 PDT
Created attachment 92759 [details]
Fix LayoutTests for the 2.1.x branch

Cherry-picking revision r73693 into qtwebkit-2.1.x (formerly known as qtwebkit-2.2) with commit c08c19f was too ambitious as this commit assumes that DeviceMotion is supported (which is the case on trunk but not on qtwebkit-2.1.x). Attached patch fixes the test expectations for qtwebkit-2.1.x. Ademar, can you please commit it to 2.1.x ?